diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-ue-measurements.cc ns-3.42/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.41/src/lte/test/lte-test-ue-measurements.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-ue-measurements.cc	2024-05-29 15:29:47.128073700 -0700
@@ -2274,7 +2274,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(4.2)),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
 } // end of LteUeMeasurementsHandoverTestSuite::LteUeMeasurementsHandoverTestSuite
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-uplink-power-control.cc ns-3.42/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.41/src/lte/test/lte-test-uplink-power-control.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-uplink-power-control.cc	2024-05-29 15:29:47.128073700 -0700
@@ -53,19 +53,20 @@
  */
 
 LteUplinkPowerControlTestSuite::LteUplinkPowerControlTestSuite()
-    : TestSuite("lte-uplink-power-control", SYSTEM)
+    : TestSuite("lte-uplink-power-control", Type::SYSTEM)
 {
     //  LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_DEBUG);
     //  LogComponentEnable ("LteUplinkPowerControlTest", logLevel);
     NS_LOG_INFO("Creating LteUplinkPowerControlTestSuite");
 
-    AddTestCase(new LteUplinkOpenLoopPowerControlTestCase("OpenLoopTest1"), TestCase::QUICK);
+    AddTestCase(new LteUplinkOpenLoopPowerControlTestCase("OpenLoopTest1"),
+                TestCase::Duration::QUICK);
     AddTestCase(
         new LteUplinkClosedLoopPowerControlAbsoluteModeTestCase("ClosedLoopAbsoluteModeTest1"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new LteUplinkClosedLoopPowerControlAccumulatedModeTestCase(
                     "ClosedLoopAccumulatedModeTest1"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-uplink-sinr.cc ns-3.42/src/lte/test/lte-test-uplink-sinr.cc
--- ns-3.41/src/lte/test/lte-test-uplink-sinr.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-uplink-sinr.cc	2024-05-29 15:29:47.128073700 -0700
@@ -43,7 +43,7 @@
  * TestSuite
  */
 LteUplinkSinrTestSuite::LteUplinkSinrTestSuite()
-    : TestSuite("lte-uplink-sinr", SYSTEM)
+    : TestSuite("lte-uplink-sinr", Type::SYSTEM)
 {
     /**
      * Build Spectrum Model values for the TX signal
@@ -85,13 +85,13 @@
                                               rxPsd2,
                                               theoreticalSinr1,
                                               "sdBm = [-46 -inf] and [-inf -48]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteUplinkSrsSinrTestCase(rxPsd1,
                                              rxPsd2,
                                              theoreticalSinr1,
                                              "sdBm = [-46 -inf] and [-inf -48]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     /**
      * TX signals #2: Power Spectral Density of the signals of interest = [-63 -inf] and [-inf -61]
@@ -113,13 +113,13 @@
                                               rxPsd4,
                                               theoreticalSinr2,
                                               "sdBm = [-63 -inf] and [-inf -61]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteUplinkSrsSinrTestCase(rxPsd3,
                                              rxPsd4,
                                              theoreticalSinr2,
                                              "sdBm = [-63 -inf] and [-inf -61]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
@@ -177,12 +177,12 @@
      */
 
     // Number of packet bursts (2 data + 4 interferences)
-    const int numOfDataPbs = 2;
-    const int numOfIntfPbs = 4;
-    const int numOfPbs = numOfDataPbs + numOfIntfPbs;
+    constexpr int numOfDataPbs = 2;
+    constexpr int numOfIntfPbs = 4;
+    constexpr int numOfPbs = numOfDataPbs + numOfIntfPbs;
 
     // Number of packets in the packet bursts
-    const int numOfPkts = 10;
+    constexpr int numOfPkts = 10;
 
     // Packet bursts
     Ptr<PacketBurst> packetBursts[numOfPbs];
@@ -382,9 +382,9 @@
      */
 
     // Number of packet bursts (2 data + 4 interferences)
-    int numOfDataSignals = 2;
-    int numOfIntfSignals = 4;
-    int numOfSignals = numOfDataSignals + numOfIntfSignals;
+    constexpr int numOfDataSignals = 2;
+    constexpr int numOfIntfSignals = 4;
+    constexpr int numOfSignals = numOfDataSignals + numOfIntfSignals;
 
     uint16_t pbCellId[numOfSignals];
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-asn1-encoding.cc ns-3.42/src/lte/test/test-asn1-encoding.cc
--- ns-3.41/src/lte/test/test-asn1-encoding.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-asn1-encoding.cc	2024-05-29 15:29:47.128073700 -0700
@@ -29,6 +29,7 @@
 #include "ns3/test.h"
 
 #include <iomanip>
+#include <vector>
 
 using namespace ns3;
 
@@ -49,13 +50,12 @@
      */
     static std::string sprintPacketContentsHex(Ptr<Packet> pkt)
     {
-        uint32_t psize = pkt->GetSize();
-        uint8_t buffer[psize];
+        std::vector<uint8_t> buffer(pkt->GetSize());
         std::ostringstream oss(std::ostringstream::out);
-        pkt->CopyData(buffer, psize);
-        for (uint32_t i = 0; i < psize; i++)
+        pkt->CopyData(buffer.data(), buffer.size());
+        for (auto b : buffer)
         {
-            oss << std::setfill('0') << std::setw(2) << std::hex << +(buffer[i]) << " ";
+            oss << std::setfill('0') << std::setw(2) << std::hex << +b << " ";
         }
         return std::string(oss.str() + "\n");
     }
@@ -67,13 +67,12 @@
      */
     static std::string sprintPacketContentsBin(Ptr<Packet> pkt)
     {
-        uint32_t psize = pkt->GetSize();
-        uint8_t buffer[psize];
+        std::vector<uint8_t> buffer(pkt->GetSize());
         std::ostringstream oss(std::ostringstream::out);
-        pkt->CopyData(buffer, psize);
-        for (uint32_t i = 0; i < psize; i++)
+        pkt->CopyData(buffer.data(), buffer.size());
+        for (auto b : buffer)
         {
-            oss << (std::bitset<8>(buffer[i]));
+            oss << (std::bitset<8>(b));
         }
         return std::string(oss.str() + "\n");
     }
@@ -561,7 +560,7 @@
     packet = Create<Packet>();
     NS_LOG_DEBUG("============= RrcConnectionReconfigurationTestCase ===========");
 
-    LteRrcSap::RrcConnectionReconfiguration msg;
+    LteRrcSap::RrcConnectionReconfiguration msg{};
     msg.rrcTransactionIdentifier = 2;
 
     msg.haveMeasConfig = true;
@@ -1256,20 +1255,20 @@
 };
 
 Asn1EncodingSuite::Asn1EncodingSuite()
-    : TestSuite("test-asn1-encoding", UNIT)
+    : TestSuite("test-asn1-encoding", Type::UNIT)
 {
     NS_LOG_FUNCTION(this);
-    AddTestCase(new RrcConnectionRequestTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionSetupTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionSetupCompleteTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionReconfigurationCompleteTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionReconfigurationTestCase(), TestCase::QUICK);
-    AddTestCase(new HandoverPreparationInfoTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionReestablishmentRequestTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionReestablishmentTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionReestablishmentCompleteTestCase(), TestCase::QUICK);
-    AddTestCase(new RrcConnectionRejectTestCase(), TestCase::QUICK);
-    AddTestCase(new MeasurementReportTestCase(), TestCase::QUICK);
+    AddTestCase(new RrcConnectionRequestTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionSetupTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionSetupCompleteTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionReconfigurationCompleteTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionReconfigurationTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new HandoverPreparationInfoTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionReestablishmentRequestTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionReestablishmentTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionReestablishmentCompleteTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new RrcConnectionRejectTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new MeasurementReportTestCase(), TestCase::Duration::QUICK);
 }
 
 /**
